1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

HELP installating Plesk BSD 6

Discussion in 'Plesk for Linux - 8.x and Older' started by rhunn, Jun 13, 2006.

  1. rhunn

    rhunn Guest

    0
     
    I have a problem installing PLesk 8 on a FreeBSD 6 box. It given me an error when tried to run autonstall file. Please help me. Are there anything I do first when intalling FreeBSD 6 before I install Plesk 8?

    Thanks
    Ronnie
     
  2. rhunn

    rhunn Guest

    0
     
    Here is the errors that i have........

    Execute cmd failed: sh /root/psa/PSA_8.0.0/dist-standard-FreeBSD-6.0-i386/psa_v8.0.0_build80060406.16_os_FreeBSD_6.0_i386.sh
    ERROR: Error while install .sh package
    ERROR: Installation failed
     
  3. CruzMark

    CruzMark Basic Pleskian

    24
    23%
    Joined:
    Mar 6, 2006
    Messages:
    84
    Likes Received:
    0
    This has been answered several times in these forums. A search would have turned up the result.

    Install gtar from the ports collection before running the install.
     
  4. rhunn

    rhunn Guest

    0
     
    I did installed gtar and Perl before I install PLesk and still giving me the same problem.......
     
  5. CruzMark

    CruzMark Basic Pleskian

    24
    23%
    Joined:
    Mar 6, 2006
    Messages:
    84
    Likes Received:
    0
    Have you looked at the logs in /tmp to see if they can give you some clues?
     
  6. rhunn

    rhunn Guest

    0
     
    Here are the errors again........

    Get Plesk product packages from specified source
    Download file psa_v8.0.0_build80060406.16_os_FreeBSD_6.0_i386.sh:
    10%..20%..30%..40%..50%..60%..70%..80%..90%..100% done
    Download file psa_hotfix1_v8.0.0_build80060506.16_os_FreeBSD_6.0_i386.sh: 11%..2 0%..31%..40%..50%..60%..70%..80%..90%..100% done
    Start packages installation
    Install package psa
    bsdtar 1.02.023, libarchive 1.02.026
    Use gtar
    /usr/local/bin/gtar
    bsdtar 1.02.023, libarchive 1.02.026
    Use gtar
    /usr/local/bin/gtar
    To continue installing, you should install Perl 5.008008 (y ou have Perl 5.008007 installed)
    Execute cmd failed: sh /root/psa/PSA_8.0.0/dist-standard-FreeBSD-6.0-i386/psa_v8 .0.0_build80060406.16_os_FreeBSD_6.0_i386.sh
    ERROR: Error while install .sh package
    ERROR: Installation failed
    test#

    Please HELP!! Thanks
     
  7. CruzMark

    CruzMark Basic Pleskian

    24
    23%
    Joined:
    Mar 6, 2006
    Messages:
    84
    Likes Received:
    0
    "To continue installing, you should install Perl 5.008008 (y ou have Perl 5.008007 installed)"

    There's your problem.

    Remove Perl 5.8.7, upgrade your ports tree, and install Perl 5.8.8

    My experience has been that you need to install from ports to have everything end up where Plesk wants it, rather than installing from source.
     
  8. rhunn

    rhunn Guest

    0
     
    Mark,

    How do I de-install Perl5.008007 and install Per5.008008.... I am still a learning BSD....

    Thanks
     
  9. CruzMark

    CruzMark Basic Pleskian

    24
    23%
    Joined:
    Mar 6, 2006
    Messages:
    84
    Likes Received:
    0
    I'm assuming this is a fresh copy of BSD that hasn't had a bunch of stuff done to it and
    isn't currently in production. If it is, you should probably do this a different way.

    First, delete the current perl. On FreeBSD6 you should be able to use pkg_delete:

    pkg_delete perl-5.8.7

    If that doesn't work, figure out the package name by looking in /var/db/pkg/

    Update your ports tree. I don't have the time to type up how to do this. Read Chapter
    4 of the FreeBSD handbook.

    http://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/ports.html

    Install perl 5.8.8 from ports:

    cd /usr/ports/lang/perl5.8

    make

    make install
     
  10. rhunn

    rhunn Guest

    0
     
    Mark,

    It is working now. Thank alot for your help.

    I am not sure if I should post a new question or not.

    what do I need to install on the Debian 3.11 before I install Plesk 8?

    Thanks again
    Ron
     
  11. CruzMark

    CruzMark Basic Pleskian

    24
    23%
    Joined:
    Mar 6, 2006
    Messages:
    84
    Likes Received:
    0
    Glad to hear you got it working.

    Can't help you with Debian.

    I'd suggest a new topic, though, to attract those who can.
     
Loading...